%div{style: 'margin-bottom: 2.5rem; margin-top: 1.5rem'}
  = form_with(url: ticket_path(@ticket), method: 'put') do
    = hidden_field_tag 'update-state', 'yes'
    = v.progress_tracker(mode: 'step', label_position: 'under', width: 'shrink') do |progress|
      - progress.with_step name: 'state-new',
        icon: 'stars',
        color: @ticket.state == 'new' ? 'primary' : 'secondary',
        label: 'New Ticket',
        active: @ticket.state == 'new'
      - progress.with_step name: 'state-replied',
        icon: 'reply',
        color: @ticket.state == 'replied' ? 'primary' : 'secondary',
        label: 'User Replied',
        active: @ticket.state == 'replied'
      - progress.with_step name: 'state-answered',
        icon: 'check2',
        color: @ticket.state == 'answered' ? 'primary' : 'secondary',
        label: 'Answered',
        active: @ticket.state == 'answered'
      - progress.with_step name: 'state-resolved',
        icon: 'hand-thumbs-up',
        color: @ticket.state == 'resolved' ? 'primary' : 'secondary',
        label: 'Closed',
        active: @ticket.state == 'resolved'
      - progress.with_step name: 'state-rejected',
        icon: 'hand-thumbs-down',
        color: @ticket.state == 'rejected' ? 'primary' : 'secondary',
        label: 'Rejected',
        active: @ticket.state == 'rejected'
